Перейти к содержимому

market_history_api.get_order_book ​

Purpose ​

Возвращает стакан заявок (order book) внутреннего рынка.

Parameters ​

PARAMETERS
json
{
  "limit": 500
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "market_history_api.get_order_book",
    "params": {
      "limit": 10
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "market_history_api.get_order_book",
    "params": {
      "limit": 50
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "bids": [],
  "asks": []
}